<?php
session_start();
if (isset($_SESSION['tipousuario'])){
  if ($_SESSION['tipousuario']=='1'){
    header ('location:menu_personal.php');
  }
}

	use PHPMailer\PHPMailer\PHPMailer;
	use PHPMailer\PHPMailer\Exception;
if  (trim($_SESSION['nombre_validar'])==''){
  header ('location:index.php');
}
set_time_limit(3000);
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per='';
menu();

echo '<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>';
echo '<script src="js/bootstrap.js"></script>';

echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_regresa.png' alt='Regresar'>:<a href='calculo_auditoria.php'>Regresar</a>";
echo "<hr><h2>Cierre de la N&oacute;mina (Carga al Historico)</h2><br>";

?>
<style>
  .submit-btn {
    /*width: 100%;*/
    color: #FFFFFF;
    /*font-size: 0.8725em;*/
    padding: 7px;
    margin-bottom:5px;
    margin-top:10px;
    outline: none;
    /*margin: 5px 0;*/
    font-family: 'Open Sans', sans-serif;
    font-size:16px;
    font-weight:bold;
    text-transform:uppercase;
    background: #36C1E2;
    border: 0px solid #DFDFDF;
  }
  .btn-success {
    color: #fff;
    background-color: #5cb85c;
    border-color: #4cae4c;
    text-shadow: none;
  }
  .btn-danger {
    color: #fff;
    background-color: #d9534f;
    border-color: #d43f3a;
    text-shadow: none;
  }
</style>
<?php

///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
if (!$_POST) {
		echo "
		<form name='entrada' action='".$_SERVER['PHP_SELF']."' method='POST' enctype='multipart/form-data'>
		<input type='hidden' name='usuario' value = '".$_SESSION['nombre_validar']."'>
		<input type='hidden' name='accion' value = '1'>
		<table width='600' align='center'>
		<tr>";
		$query = "select * from nomina where id='".$_SESSION['id_validar']."' ";
		$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");
		$resultado = mysqli_num_rows($consulta);
		echo "<td align = 'right'> N&Oacute;MINA: </td>";
		echo "<td align = 'left'> <select name = 'nomina'>";
	echo "<option width = '30%'>Seleccione";
		if ($resultado != 0) {
			for ($i=0;$i<$resultado;$i++) {
				$row1 = mysqli_fetch_array($consulta);
				echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
			}
		}
		echo "</select>";
		echo "</td></tr>";

echo "  <tr><td align='right'>Enviar Email:</td>
				<td align='left'>
					<select style='width:300px;' name='enviar'>
						<option value='1'  selected>SI
						<option value='2'>NO
					</select>
				</td>
				</tr>";
		echo "<tr>";
		echo "<td align = 'right'> Efectuar Cierre Definitvo(SI): </td>";
		echo "<td align = 'left'> <input type = 'text' name = 'si' size = '5' maxlength = '2' </td>";
		echo "<td><input name='ver' type='submit' style='margin-left:5px; width:300px' value='Verificar Cierre'>";
		echo "</td></tr>";
		echo "</table></form>";
}

///////////////////////////////////////////////// cuando esta recibiendo datos  ////////////////////////////////////////////////////////////////
if ($_POST['accion']==1) {
		$tnomina=1;
		$consulta=mysqli_query($enlace,"select tipo from nomina where id='".$_SESSION['id_validar']."' and codigo='".substr($_POST['nomina'],0,3)."'");
		if (mysqli_num_rows($consulta)!=0){
				$row=mysqli_fetch_array($consulta);
				$tnomina = $row['tipo'];
		}
		$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
		$nomina='';$periodo='';$desnomina='';$desperiodo='';$cortededu=0;$cortepdvsa=0;
		if (mysqli_num_rows($consulta)!=0){
				$row=mysqli_fetch_array($consulta);
				$nomina=$row['nomina'];
				$cortededu=($row['deduccion']=='2'?1:0);
				$desnomina=substr($_POST['nomina'],6,50);
				$periodo=$row['periodo'];
				$lunes=$row['lunes'];
				$desperiodo=$row['desde'].' al '.$row['hasta'];
				if ($tnomina==1) {
					$desperiodo1= date("d/m/Y", strtotime($row['hasta']." +1 day"));
					$desperiodo2= date("d/m/Y", strtotime($row['hasta']." +7 day"));
				}
				if ($tnomina==2) {
					if (substr($row['desde'],8,2)=='01') {
						$desperiodo1= "16/".substr($row['desde'],5,2).'/'.substr($row['desde'],0,4);
						$des1= substr($row['desde'],0,8)."16";

						$m=substr($row['desde'],5,2)+0;
						if ($m==1 || $m==3 || $m==5 || $m==7 || $m==8 || $m==10 || $m==12) $d='31';
						if ($m==4 || $m==6 || $m==9 || $m==11) $d='30';
						if ($m==2) $d="28";

						$desperiodo2= $d."/".substr($row['desde'],5,2).'/'.substr($row['desde'],0,4);
						$des2= substr($row['desde'],0,8).$d;

					} else {
						$mes=substr($row['desde'],5,2)+1;
						if ($mes==13) $mes='01';
						if (strlen($mes)==1) $mes='0'.$mes;
						$desperiodo1= "01/".$mes."/".date("Y");
						$desperiodo2= "15/".$mes."/".date("Y");
						$des1= date("Y")."-".$mes."-01";
						$des2= date("Y")."-".$mes."-15";
					}
				}
				if ($tnomina==3) {
					$desperiodo1= date("d/m/Y", strtotime($row['hasta']." +1 day"));
					$desperiodo2= date("d/m/Y", strtotime($row['hasta']." +30 day"));
				}
		}

		//---------VARIABLE DE LA SEMANA A MOSTRAR
		if ($tnomina==1) {
		$semanaM = date("W", strtotime($row['hasta']))+1;
		$semanaSiguiente =$semanaM+1;

		echo "
			<form name='entrada' action='".$_SERVER['PHP_SELF']."' method='POST' enctype='multipart/form-data'>
			<input type='hidden' name='cortededu' value = '".$cortededu."'>
			<input type='hidden' name='usuario' value = '".$_SESSION['nombre_validar']."'>
			<input type='hidden' name='lunes' value = '".$lunes."'>
			<input type='hidden' name='accion' value = '2'>
			<table width='750' align='center'>
			<tr>
				<td align='right'>N&oacute;mina:</td>
				<td align='left'><input name='nomina' size = '5' maxlength = '5' readonly value='".$nomina."'><input name='desnomina' size = '50' maxlength = '50' readonly value='".$desnomina."'></td>
			</tr></table>";

		echo "<table width='750' align='center'>
			<tr>
			<h1><td align='right'><font color='red'> DATOS SEMANA  ACTUAL (A CERRAR) </font></h1>
			</tr>
			<tr>
				<td align='right'>Nº Semana actual:</td>
				<td align='left'><input name='semanaactual' size = '5' maxlength = '5' readonly value='".$semanaM."'>Detalle: <input name='desperiodo' size = '50' maxlength = '50' readonly value='".$desperiodo."'></td>
			</tr>


			<tr>
				<td align='right'>Per&iacute;odo a cerrar:</td>
				<td align='left'><input name='periodo' size = '10' maxlength = '10' readonly value='".$periodo."'></td>
			</tr>

			</table>";

			echo "<table width='750' align='center'>
			<tr>
			<h1><td align='right'><font color='blue'> DATOS NUEVA SEMANA A CREAR </font></h1>
			</tr>

			";
			if ($tnomina!=1) {
				$otros = 0;
				$tdes1=substr($des1,0,4).substr($des1,5,2).substr($des1,8,2);
				$tdes2=substr($des2,0,4).substr($des2,5,2).substr($des2,8,2);
				while ($tdes1<=$tdes2) {
					$dia = substr($des1,8,2);
					$mes = substr($des1,5,2);
					$ano = substr($des1,0,4);
					$semana = dia_semana($dia,$mes,$ano);
					if ($semana==2) $otros++;
					$des1 = date('Y-m-d',mktime(0,0,0,$mes,$dia+1,$ano));
					$tdes1=substr($des1,0,4).substr($des1,5,2).substr($des1,8,2);
				}
				echo "<tr>
				<td align='right'><font color=red>Verifique N&uacute;mero de Lunes?:</font></td>
				<td align='left'><input name='lunes' size = '10' maxlength = '10' value='".$otros."'></td>
				</tr>";
			}

			echo "
			<tr>
				<td align='right'>Nº Próxima Semana:</td>
				<td align='left'><input name='semanaSiguien' size = '5' maxlength = '5'  value='".$semanaSiguiente."'>Detalle: <input name='fdesde' size = '10' maxlength = '10' value='".fecha_mysql($desperiodo1)."'>
					al<input name='fhasta' size = '10' maxlength = '10' value='".fecha_mysql($desperiodo2)."'>
				</td>
			</tr>

			<tr>
				<td align='right'>Nuevo Per&iacute;odo:</td>
				<td align='left'><input name='nuevoperiodo' size = '10' maxlength = '10' readonly value='".($periodo+1)."'></td>
			</tr>

			</table>";
		}
		else {

			echo "
			<form name='entrada' action='".$_SERVER['PHP_SELF']."' method='POST' enctype='multipart/form-data'>
			<input type='hidden' name='cortededu' value = '".$cortededu."'>
			<input type='hidden' name='usuario' value = '".$_SESSION['nombre_validar']."'>
			<input type='hidden' name='lunes' value = '".$lunes."'>
			<input type='hidden' name='accion' value = '2'>
			<table width='750' align='center'>
			<tr>
				<td align='right'>N&oacute;mina:</td>
				<td align='left'><input name='nomina' size = '5' maxlength = '5' readonly value='".$nomina."'><input name='desnomina' size = '50' maxlength = '50' readonly value='".$desnomina."'></td>
			</tr></table>";

		echo "<table width='750' align='center'>
			<tr>
			<h1><td align='right'><font color='red'> DATOS QUINCENA  ACTUAL (A CERRAR) </font></h1>
			</tr>
			<tr>
				<td align='right'>Detalle quincena actual:</td>
				<td align='left'><input name='desperiodo' size = '50' maxlength = '50' readonly value='".$desperiodo."'></td>
			</tr>


			<tr>
				<td align='right'>Per&iacute;odo a cerrar:</td>
				<td align='left'><input name='periodo' size = '10' maxlength = '10' readonly value='".$periodo."'></td>
			</tr>

			</table>";

			echo "<table width='750' align='center'>
			<tr>
			<h1><td align='right'><font color='blue'> DATOS NUEVA QUINCENA A CREAR </font></h1>
			</tr>

			";
			if ($tnomina!=1) {
				$otros = 0;
				$tdes1=substr($des1,0,4).substr($des1,5,2).substr($des1,8,2);
				$tdes2=substr($des2,0,4).substr($des2,5,2).substr($des2,8,2);
				while ($tdes1<=$tdes2) {
					$dia = substr($des1,8,2);
					$mes = substr($des1,5,2);
					$ano = substr($des1,0,4);
					$semana = dia_semana($dia,$mes,$ano);
					if ($semana==2) $otros++;
					$des1 = date('Y-m-d',mktime(0,0,0,$mes,$dia+1,$ano));
					$tdes1=substr($des1,0,4).substr($des1,5,2).substr($des1,8,2);
				}
				echo "<tr>
				<td align='right'>Verifique N&uacute;mero de Lunes?:</font></td>
				<td align='left'><input name='lunes' size = '10' maxlength = '10' value='".$otros."'></td>
				</tr>";
			}

			echo "
			<tr>
				<td align='right'>Datos próxima quincena:</td>
				<td align='left'><input name='fdesde' size = '10' maxlength = '10' value='".fecha_mysql($desperiodo1)."'>
					al<input name='fhasta' size = '10' maxlength = '10' value='".fecha_mysql($desperiodo2)."'>
				</td>
			</tr>

			<tr>
				<td align='right'>Nuevo Per&iacute;odo:</td>
				<td align='left'><input name='nuevoperiodo' size = '10' maxlength = '10' readonly value='".($periodo+1)."'></td>
			</tr>

			</table>";

		}
			echo "<br><table width = '20%' align ='center'>";
			echo "<tr><td><input name='procesar' type='button' class='submit-btn' data-toggle='modal' data-target='#myModal1' value = 'Efectuar Cierre' ></td></form>";
			?>

      <div class="modal fade" id="myModal1" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header text-center">
              <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
              <h3 class="modal-title" id="myModalLabel">¿Seguro que desea efectuar esta acción?</h3>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-danger btn-lg" data-dismiss="modal">NO</button>
              <button type="submit" name='procesar' class='btn btn-success btn-lg'>SI</button>
            </div>
          </div>
        </div>
      </div>

      <?php

			echo "<form name = 'regresar' method = 'POST' action = '".$_SERVER['PHP_SELF']."'>";
			echo "<td><input type = 'submit' value = 'Cancelar Cierre'></td></tr></table></form>";

}

///////////////////////////////////////////////// cuando esta recibiendo datos  ////////////////////////////////////////////////////////////////
if ($_POST['accion']==2) {
	$idValidar = $_SESSION['id_validar'];
	$periodo = $_POST['periodo'];
	$queryPeriodo = mysqli_query($enlace,"SELECT COUNT(distinct cedula) as registros FROM historico WHERE periodo='$periodo' AND id='$idValidar' and nomina='".substr($_POST['nomina'],0,3)."'") or die ($queryx.mysqli_error($enlace));
	$row = mysqli_fetch_array($queryPeriodo);
	if($row['registros'] == 0)
		{
			//////////////////////// respaldo automatico constante
			$payroll="z_".trim($_SESSION['usuario_validar']).trim($_SESSION['id_validar']);
			$consulta=mysqli_query($enlace,"create table if not exists `".$payroll."` (
							`cedula` varchar(8) NOT NULL,
							`concepto` varchar(4) NOT NULL,
							`desconcepto` varchar(50) NOT NULL,
							`tipo` varchar(1) NOT NULL,
							`monto` decimal(18,2) NOT NULL,
							`saldo` decimal(18,2) NOT NULL,
							`cantidad` decimal(18,2) NOT NULL,
							`nomina` varchar(3) NOT NULL,
							`desnomina` varchar(50) NOT NULL,
							`departamento` varchar(10) NOT NULL,
							`unidad` varchar(10) NOT NULL,
							`cargo` varchar(6) NOT NULL,
							`turno` varchar(4) NOT NULL,
							`periodo` varchar(3) NOT NULL,
							`desperiodo` varchar(50) NOT NULL
						) ENGINE=MyISAM DEFAULT CHARSET=latin1;");
			$consulta=mysqli_query($enlace,"delete from `".$payroll."`");

			//////////////////////// respaldo automatico constante
			$diario="zr1_".trim($_SESSION['id_validar']);
			$consulta=mysqli_query($enlace,"create table if not exists `".$diario."` (
							`id` int(11) NOT NULL,
							`codigo` varchar(4) NOT NULL,
							`cedula` varchar(8) NOT NULL,
							`nomina` varchar(3) NOT NULL,
							`monto` decimal(18,2) NOT NULL
						) ENGINE=MyISAM DEFAULT CHARSET=latin1;");
			$consulta=mysqli_query($enlace,"delete from `".$diario."`");
			$query="insert into $diario select * from `constante_individual` where id='".$_SESSION['id_validar']."' ";
			$qempleado = mysqli_query($enlace,$query) or die ($query);

			//////////////////////// respaldo automatico prestamos
			$diario="zr2_".trim($_SESSION['id_validar']);
			$consulta=mysqli_query($enlace,"create table if not exists `".$diario."` (
							`id` int(11) NOT NULL,
							`numero` int(11) NOT NULL,
							`tipo` varchar(1) NOT NULL,
							`cedula` varchar(8) NOT NULL,
							`detalle` varchar(50) NOT NULL,
							`fecha` date NOT NULL,
							`monto` decimal(18,5) NOT NULL,
							`interes` decimal(18,5) NOT NULL,
							`total` decimal(18,5) NOT NULL,
							`saldo` decimal(18,5) NOT NULL,
							`cuota` decimal(18,5) NOT NULL,
							`minteres` decimal(18,5) NOT NULL
						) ENGINE=MyISAM DEFAULT CHARSET=latin1;");
			$consulta=mysqli_query($enlace,"delete from `".$diario."`");
			$query="insert into $diario select * from `prestamo` where id='".$_SESSION['id_validar']."' ";
			$qempleado = mysqli_query($enlace,$query) or die ($query);
			//////////////////////// respaldo automatico

			/////////////////////////////////////////////// imprimir PAYROLL
			$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
			if (mysqli_num_rows($consulta)!=0){
				$row=mysqli_fetch_array($consulta);
				$duti=$row['duti'];
				$tasa_usd=$row['tasa_usd'];
				$tasa_usd_2=$row['tasa_usd_2'];
				$gerencia=$row['gerencia'];
			}

			$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
			$nomina='';$periodo='';$desnomina='';$desperiodo='';$cortededu=0;$cortepdvsa=0;
			if (mysqli_num_rows($consulta)!=0){
				$row=mysqli_fetch_array($consulta);
				$cortededu=($row['deduccion']=='2'?1:0);
				$lunes=$row['lunes'];
			}

			$nomina=$_POST['nomina'];
			$desnomina=$_POST['desnomina'];
			$periodo=str_repeat("0",3-strlen($_POST['periodo'])).$_POST['periodo'];
			$desperiodo=$_POST['desperiodo'];
			$periodoremuneraciones=$_POST['desperiodo'];
			$queryinicial="select * from personal where id='".$_SESSION['id_validar']."' and (status='A' or status='C') and nomina='".substr($_POST['nomina'],0,3)."' order by codigo";

			//========================================================//
			//========================================================//
			//========================================================//
			$_POST['tipoproceso']=1;
			include("proceso_formula.php");
			//========================================================//
			//========================================================//
			//========================================================//

			/////////////////////////////////////////////// filtros de eliminacion INDIVIDUAL
			$query="select * from concepto_empleado where id='".$_SESSION['id_validar']."' ";
			$qempleado = mysqli_query($enlace,$query) or die ($query);
			while ($rowemp=mysqli_fetch_array($qempleado)) {
				$query="delete from $payroll where cedula='".$rowemp['cedula']."' and concepto = '".$rowemp['codigo']."'";
				$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
			} // fin ciclo de concepto individual
			/////////////////////////////////////////////// filtros de eliminacion NOMINA
			$query="select * from concepto_nomina where id='".$_SESSION['id_validar']."' ";
			$qempleado = mysqli_query($enlace,$query) or die ($query);
			while ($rowemp=mysqli_fetch_array($qempleado)) {
				$query="delete from $payroll where nomina='".$rowemp['nomina']."' and concepto = '".$rowemp['codigo']."'";
				$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
			} // fin ciclo de concepto nomina
			/////////////////////////////////////////////// filtros de eliminacion PERIODO
			$query="select * from concepto_periodo where id='".$_SESSION['id_validar']."' ";
			$qempleado = mysqli_query($enlace,$query) or die ($query);
			while ($rowemp=mysqli_fetch_array($qempleado)) {
				$query="delete from $payroll where periodo='".$rowemp['periodo']."' and concepto = '".$rowemp['codigo']."'";
				$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
			} // fin ciclo de concepto periodo
			/////////////////////////////////////////////// filtros de eliminacion POR MONTO = 0
			$query="delete from $payroll where monto=0";
			$qempleado = mysqli_query($enlace,$query) or die ($query);
			/////////////////////////////////////////////// filtros de eliminacion POR CONDICION
			$qpersonal = mysqli_query($enlace,$queryinicial) or die ($queryinicial.':>'.mysqli_error($enlace));
			while ($rowp = mysqli_fetch_array($qpersonal)) {
				$query="select * from concepto_condicion where id='".$_SESSION['id_validar']."' order by codigo";
				$qcondicion = mysqli_query($enlace,$query) or die ($query);
				while ($rowcondicion=mysqli_fetch_array($qcondicion)) {
					if (substr($rowcondicion['valor1'],0,1)=='C') {
						$query="select * from $payroll where cedula='".$rowp['codigo']."' and concepto = '".substr($rowcondicion['valor1'],1,4)."'";
						$qvalor = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
						$nvalor = mysqli_num_rows($qvalor);
						if ($nvalor==0) $monto1=0;
						else {
								$rowvalor=mysqli_fetch_array($qvalor);
								$monto1=$rowvalor['monto'];
						}
					} else $monto1 = $rowcondicion['valor1']+0;
					if (substr($rowcondicion['valor2'],0,1)=='C') {
						$query="select * from $payroll where cedula='".$rowp['codigo']."' and concepto = '".substr($rowcondicion['valor2'],1,4)."'";
						$qvalor = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
						$nvalor = mysqli_num_rows($qvalor);
						if ($nvalor==0) $monto2=0;
						else {
								$rowvalor=mysqli_fetch_array($qvalor);
								$monto2=$rowvalor['monto'];
						}
					} else $monto2 = $rowcondicion['valor2']+0;
					$elimina=0;
					if ($rowcondicion['condicion']=='=') $elimina=($monto1==$monto2)?1:0;
					if ($rowcondicion['condicion']=='<') $elimina=($monto1<$monto2)?1:0;
					if ($rowcondicion['condicion']=='>') $elimina=($monto1>$monto2)?1:0;
					if ($rowcondicion['condicion']=='>=') $elimina=($monto1>=$monto2)?1:0;
					if ($rowcondicion['condicion']=='<=') $elimina=($monto1<=$monto2)?1:0;
					if ($rowcondicion['condicion']=='<>') $elimina=($monto1!=$monto2)?1:0;
					if ($elimina == 1) {
						$query="delete from $payroll where cedula='".$rowp['codigo']."' and concepto = '".$rowcondicion['codigo']."'";
						$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
					}
					} // fin ciclo de concepto condicion
			}
			/////////////////////////////////////////////// filtros de eliminacion POR TIPOR DE CONCEPTO = REPORTE
			if ($gerencia==0) $query="delete from $payroll where tipo='R'";
			else $query="delete from $payroll where tipo='R' and (concepto<>'".$conger01."' and concepto<>'".$conger02."' and concepto<>'".$conger03."' and concepto<>'".$conger04."' and concepto<>'".$conger05."' and concepto<>'".$conger06."') ";
			$qempleado = mysqli_query($enlace,$query) or die ($query.mysqli_error($enlace));

			/////////////////////////////////////////////// BUSCAR NUEVO PERIODO
			$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
			$nomina='';$periodo='';$desnomina='';$desperiodo='';
			$nomina=substr($_POST['nomina'],0,3);
			$desnomina=substr($_POST['nomina'],6,50);
			if (mysqli_num_rows($consulta)!=0){
				$row=mysqli_fetch_array($consulta);
				$periodo=$row['periodo'];
				$_POST['cierre']=$row['pre'];
				$desperiodo=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta']);
			}
			$consulta=mysqli_query($enlace,"update periodo set pre=1 where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' and periodo='".$periodo."'");

			/////////////////////////////////////////////// INSERTAR HISTORICOS
			//$delete=mysqli_query($enlace,"delete from historico where id='".$_SESSION['id_validar']."' and periodo='".$_POST['periodo']."' and nomina='".substr($_POST['nomina'],0,3)."'");
			$qpersonal = mysqli_query($enlace,"insert into historico (id,cedula,concepto,desconcepto,tipo,monto,saldo,cantidad,nomina,desnomina,departamento,unidad,cargo,turno,periodo,desperiodo) select ".$_SESSION['id_validar'].",cedula,concepto,desconcepto,tipo,monto,saldo,cantidad,nomina,desnomina,departamento,unidad,cargo,turno,periodo,desperiodo from $payroll") or die ("insert into historico select * from payroll :".mysqli_error($enlace));
			$nuevo2 = (string) $_POST['nuevoperiodo'];
			$nuevo1 = trim($nuevo2);
			$nuevo = str_repeat("0",3-strlen($nuevo1)).$nuevo1;
			$fdesde=$_POST['fdesde'];
			$fhasta=$_POST['fhasta'];
			if ($_POST['lunes']=='') $_POST['lunes']=0;

			$delete=mysqli_query($enlace,"delete from periodo where id='".$_SESSION['id_validar']."' and periodo='".$nuevo."' and nomina='".substr($_POST['nomina'],0,3)."' ");
			$qpersonal = mysqli_query($enlace,"insert into periodo (id, lunes, nomina,periodo,desde,hasta,deduccion) values ('".$_SESSION['id_validar']."','".$_POST['lunes']."','".$nomina."','".$nuevo."','".$fdesde."','".$fhasta."','1')") or die ("insert into periodo values ('".$nomina."','".$nuevo."','".$fdesde."','".$fhasta."'): ".mysqli_error($enlace));

			//////////////////////// PROCESO DE DEDUCCIONES Y ASIGNACIONES AUTOMATICAS
			$queryinicial="select * from personal where id='".$_SESSION['id_validar']."' and (status='A' or status='C') and nomina='".substr($_POST['nomina'],0,3)."' order by codigo";
			$qpersonal = mysqli_query($enlace,$queryinicial) or die ($queryinicial.':>'.mysqli_error($enlace));
			while ($rowp = mysqli_fetch_array($qpersonal)) {
				$query="select * from prestamo where id='".$_SESSION['id_validar']."' and cedula='".$rowp['codigo']."' and saldo > 0 and interes <> 1";
				$qprestamo = mysqli_query($enlace,$query) or die ($query);
				while ($rowpre=mysqli_fetch_array($qprestamo)) {
						$monto = ($rowpre['saldo']-$rowpre['cuota'])<0?$rowpre['saldo']:$rowpre['cuota'];
						$numero = $rowpre['numero'];
						$saldo = $rowpre['saldo']-$monto;
						$query = "update prestamo set saldo = $saldo where cedula='".$rowp['codigo']."' and numero = $numero";
						$rotro = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
				} // fin ciclo de prestamos
				$query11="update prestamo set interes=0 where id='".$_SESSION['id_validar']."' and cedula='".$rowp['codigo']."' ";
				$qprestamo11 = mysqli_query($enlace,$query11) or die ($query11);
			}


			/////////////////////////////////////////////// filtros de eliminacion por constante no fijo
			$query="select * from constante where id='".$_SESSION['id_validar']."' ";
			$qempleado = mysqli_query($enlace,$query) or die ($query);
			while ($rowemp=mysqli_fetch_array($qempleado)) {
				//// AQUI ES CUANDO SE BORRA LA TABLA [constante_individual] LOS CONCEPTOS QUE NO SON FIJOS
				if ($rowemp['fijo']==2) {
					$query="delete from constante_individual where id='".$_SESSION['id_validar']."' and codigo='".$rowemp['codigo']."' and nomina='".substr($_POST['nomina'],0,3)."' ";
					$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
				}
			} // fin ciclo de concepto periodo
					//CAmbios hechos para ajustar remuneraciones personal_sueldo
			$queryinicial="select codigo from personal where id='".$_SESSION['id_validar']."' and (status='A' or status='C') and nomina='".substr($_POST['nomina'],0,3)."' order by codigo";
			//echo $queryinicial."<br>";
			$qpersonal = mysqli_query($enlace,$queryinicial) or die ($queryinicial.':>'.mysqli_error($enlace));
			while ($rowp = mysqli_fetch_array($qpersonal)) {
					$consulta="select sum(monto) as monto from historico where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' and cedula='".$rowp['codigo'] ."' and (substring(concepto,1,1)='1') AND tipo='A' and periodo='$periodo'";
				//echo $consulta."<br>";
				$resultado = mysqli_query($enlace,$consulta);

				////Consulta APORTE para SSO
				$consulta11="select sum(monto) as monto from historico where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' and cedula='".$rowp['codigo'] ."' and (concepto='2000' OR concepto='2002') AND tipo='D' and periodo='$periodo'";
				//echo $consulta."<br>";
				$resultado11 = mysqli_query($enlace,$consulta11);

				////Consulta APORTE para RPVH
				$consulta12="select sum(monto) as monto from historico where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' and cedula='".$rowp['codigo'] ."' and (concepto='2010' OR concepto='2012') AND tipo='D' and periodo='$periodo'";
				//echo $consulta."<br>";
				$resultado12 = mysqli_query($enlace,$consulta12);

					/////Consulta para traer el Departamento
				$consulta21="select departamento from historico where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' and cedula='".$rowp['codigo'] ."' and  periodo='$periodo'";
				$resultado21 = mysqli_query($enlace,$consulta21);

					/////Consulta para traer la unidad (localidad)
				$consultaUn="select unidad from historico where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' and cedula='".$rowp['codigo'] ."' and  periodo='$periodo'";
				$resultadoUn = mysqli_query($enlace,$consultaUn);

					/////Consulta para traer el Cestaticket
					$consulta22="select sum(monto) as monto from historico where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' and cedula='".$rowp['codigo'] ."' and substring(concepto,1,2)='31' AND tipo='A' and periodo='$periodo'";
				$resultado22 = mysqli_query($enlace,$consulta22);


								/////Consulta para traer la nomina
				$consulta23="select nomina from historico where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' and cedula='".$rowp['codigo'] ."' and  periodo='$periodo'";
				$resultado23 = mysqli_query($enlace,$consulta23);

					/////Consulta para traer la tasa de interes del mismo mes de prestaciones (BCV)
				$consulta24="select mon from tab_interes where CONCAT(substring('$periodoremuneraciones',1,7),'-01')=tab_interes.fec";
				$resultado24 = mysqli_query($enlace,$consulta24);


								/////Consulta para traer la ultima tasa de interes de prestaciones (BCV) (cuando no est� actualizada la �ltima tasa del mes o no la encuentre)
				$consulta25="select mon from tab_interes order by fec DESC limit 1";
				$resultado25 = mysqli_query($enlace,$consulta25);


								/////Consulta para traer los d�as de utilidades, vacaciones y bono vacacional que paga la empresa
				$consulta26="select duti,dvac,dbon from empresa where id='".$_SESSION['id_validar']."' ";
				$resultado26 = mysqli_query($enlace,$consulta26);


				/////Consulta para traer los dias de prestaciones
				$consulta27="select cantidad from historico where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' and cedula='".$rowp['codigo'] ."' and  periodo='$periodo' and (concepto = '5008' OR concepto = '5009' OR concepto = '5010' OR concepto = '5011' OR concepto = '5508' OR concepto = '5509' OR concepto = '5510' OR concepto = '5511')";
				$resultado27 = mysqli_query($enlace,$consulta27);

				/////Consulta para traer el monto de prestaciones
				$consulta28="select monto from historico where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' and cedula='".$rowp['codigo'] ."' and  periodo='$periodo' and (concepto = '5008' OR concepto = '5009' OR concepto = '5010' OR concepto = '5011' OR concepto = '5508' OR concepto = '5509' OR concepto = '5510' OR concepto = '5511')";
				$resultado28 = mysqli_query($enlace,$consulta28);

				if (mysqli_num_rows($resultado)!=0) {
					$cedula=$rowp['codigo'];
					$rowx=mysqli_fetch_array($resultado);
					$row11 = mysqli_fetch_array($resultado11);
					$row12 = mysqli_fetch_array($resultado12);
					$row21 = mysqli_fetch_array($resultado21);
					$rowUn = mysqli_fetch_array($resultadoUn);
					$row22 = mysqli_fetch_array($resultado22);
					$row23 = mysqli_fetch_array($resultado23);
					$row24 = mysqli_fetch_array($resultado24);
					$row25 = mysqli_fetch_array($resultado25);
					$row26 = mysqli_fetch_array($resultado26);
					$row27 = mysqli_fetch_array($resultado27);
					$row28 = mysqli_fetch_array($resultado28);


					$sueldo = $rowx['monto'];
					$aporteSsoTrabajador = $row11['monto'];
					$aporteRpvhTrabajador = $row12['monto'];
					$aporteSsoPatrono = $aporteSsoTrabajador/0.04*0.11;//%cotizacion Ford al IVSS es 11%
					$aporteRpePatrono = $aporteSsoTrabajador/0.04*0.02;
					$aporteRpvhPatrono = $aporteRpvhTrabajador*2;//%cotizacion Ford al IVSS es 11%
					$departamento = $row21['departamento'];
					$unidad = $rowUn['unidad'];

					$cestaticket = $row22['monto'];
					$nomina = $row23['nomina'];
					//$prestac_mes = $sueldo/30*5;
					$monto_prestaciones = $row28['monto'];
					$porcentInteresMes = $row24['mon']!=''?$row24['mon']:$row25['mon'];
					$interesMes = $monto_prestaciones*$porcentInteresMes/100/12;
					$diasUtilidadEmpresa = $row26['duti'];
					$utilidadMes = $sueldo*$diasUtilidadEmpresa/360;
					$diasVacEmpresa = $row26['dvac'];
					$VacacProvisMes = $sueldo*$diasVacEmpresa/360;
					$diasBonVacEmpresa = $row26['dbon'];
					$BonoVacProvisMes = $sueldo*$diasBonVacEmpresa/360;
					$ssoPatrono = $aporteSsoPatrono;
					$rpePatrono = $aporteRpePatrono;
					$incesMes = $sueldo*0.02;
					$dias_prestaciones = $row27['cantidad'];


					$costoLaboralMes = $sueldo + $cestaticket + $prestac_mes + $interesMes + $utilidadMes +  $VacacProvisMes + $BonoVacProvisMes + $ssoPatrono + $rpePatrono + $faovPatrono + $incesMes;

					///Esta consulta se inactiva porque no se va a sumar salarios por mes

							/*
					$consulta="select * from personal_sueldo where id='".$_SESSION['id_validar']."' and codigo='". $cedula."' and substring(fec,1,7)=substring('$periodoremuneraciones',1,7) ";
					$row=mysqli_query($enlace,$consulta);
							if (mysqli_num_rows($row)!=0) {

							//update
							$consulta=mysqli_query($enlace,"update personal_sueldo set sueldo=sueldo+$sueldo  where id='".$_SESSION['id_validar']."' and codigo='". $cedula."' and substring(fec,1,7)=substring('$periodoremuneraciones',1,7) ");

							}
						*/

						//else se cometario el else

							////Solo se hace el insert porque cada periodo será nuevo (sem o Quinc)
								//insert
							$consulta5=mysqli_query($enlace,"insert into personal_sueldo (id,codigo,nomina,tipo,fec,sueldo) values ('".$_SESSION['id_validar']."','".$cedula."','".$nomina."','".($nomina==100?1:2)."',substring('$periodoremuneraciones',15,10),'".$sueldo."')") or die (mysqli_error($enlace));



					//// Insertar Costo Laboral
					$consulta7=mysqli_query($enlace,"insert into costo_laboral (id,cedula,nomina,departamento,fecha_pago,periodo,salario_mes,cestatic,prestac_mes,interes_mes,utilidad_mes,vacac_provis_mes,bonovac_provis_mes,sso_patrono_mes,rpe_patrono_mes,faov_patrono_mes,inces_mes,costo_laboral_mes)
					values ('".$_SESSION['id_validar']."','".$cedula."','".$nomina."' ,'".$departamento."',substring('$periodoremuneraciones',15,10),'".$periodo."','".$sueldo."','".$cestaticket."','".$monto_prestaciones."','".$interesMes."', '".$utilidadMes."', '".$VacacProvisMes."', '".$BonoVacProvisMes."', '".$ssoPatrono."', '".$rpePatrono."', '".$aporteRpvhPatrono."', '".$incesMes."', '".$costoLaboralMes."')") or die (mysqli_error($enlace));


					//Generación de prestaciones Fideicomiso
					$consulta_periodo = mysqli_query($enlace,"SELECT `desperiodo` FROM `$payroll` WHERE `periodo` = '".$periodo."'");
					$row_consulta_periodo = mysqli_fetch_array($consulta_periodo);
					$desperiodo_actual = $row_consulta_periodo['desperiodo'];

					$salario_integral = $monto_prestaciones/$dias_prestaciones;

					$insertar_fideicomiso = mysqli_query($enlace,"INSERT INTO `prestaciones_fideicomiso` (id, cedula, nomina, periodo, desperiodo, dias_pagar, salario_normal, salario_integral, prestacion_monto) VALUES ('".$_SESSION['id_validar']."','".$cedula."','".$nomina."','".$periodo."','".$desperiodo_actual."','".$dias_prestaciones."','".$sueldo."','".$salario_integral."','".$monto_prestaciones."')") or die (mysqli_error($enlace));

				}
			}

			//============================================= enviar correo
			//============================================= enviar correo

			$consultaxx=mysqli_query($enlace,"select detalle from nomina where id='".$_SESSION['id_validar']."' and codigo='".substr($_POST['nomina'],0,3)."'");
			if (mysqli_num_rows($consultaxx)!=0){
					$row=mysqli_fetch_array($consultaxx);
					$detallenom = $row['detalle'];
			}

			$consultaxx2=mysqli_query($enlace,"select periodo from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1 ");
			if (mysqli_num_rows($consultaxx2)!=0){
			$row=mysqli_fetch_array($consultaxx2);
			$detalle_periodo = $row['periodo']-1;
				}

			$consulta="select * from empresa where id='".$_SESSION['id_validar']."' ";
			$resultado3 = mysqli_query($enlace,$consulta) or die($consulta.mysqli_error($enlace));
			$row3=mysqli_fetch_array($resultado3);
			$email1=$row3['email1'];
			$email2=$row3['email2'];
			mysqli_free_result($resultado3);
			
			//Envia correo
			
		//Para el correo desde aqui parametros y varibles generales 
		require 'PHPMailer/src/Exception.php';
		require 'PHPMailer/src/PHPMailer.php';
		require 'PHPMailer/src/SMTP.php';
		
		
		$mail = new PHPMailer(true);
		 //Servidor de correo configuracion
			 //$mail->SMTPDebug = 2; //Enable verbose debug output
			 $mail->isSMTP(); // Set mailer to use SMTP
			 $mail->Host = 'ssl://www.saireh-nomina.com'; // Specify main and backup SMTP servers
			 $mail->SMTPAuth = true; // Enable SMTP authentication
			 $mail->Username = 'info@saireh-nomina.com'; // SMTP username
			 $mail->Password = 'c0n5ul74rh3'; // SMTP password
			 $mail->SMTPSecure = 'tls'; // Enable TLS encryption, [ICODE]ssl[/ICODE] also accepted
			 $mail->Port = 465; // TCP port to connect to
			 ///envio de correos hasta aqui
			 
			 //Recipients
			 $mail->setFrom('info@saireh-nomina.com', 'Saireh Nomina Merino');
			$mail->addAddress($email1);///Una linea por cada destinatario
			$mail->addAddress($email2);///Una linea por cada destinatario
			
			$mail->addCC('NOMINA@SAIREH.COM');			
			$mail->addCC('acarvallo@grupo-merino.com');
			$asunto = 'Cierre de Nomina: '.substr($_POST['nomina'],0,3).'-' .$detallenom. '- Periodo: ' .$detalle_periodo.' Efectuado en: '.$_SESSION['empresa_validar'];
							   
				$mensaje = 'Cierre Realizado por: '.$_SESSION['nombre_validar'];
				
				// Content
			 $mail->isHTML(true); // Set email format to HTML
			 $mail->Subject = $asunto;
			 $mail->Body = $mensaje;
			 $mail->AltBody = $mensaje;
			
			 $mail->send();
			
			echo "<h2><center><font color='red'>Cierre efectuado Satisfactoriamente....</center></center></h2>";
		}
		else{
			?>
				<div class="row">
					<div class="col text-center">
						<h3>El cierre ya tiene <?php echo $row['registros'];?> personas registradas</h3>
					</div>
				</div>
			<?php
		}

// Desactivar toda notificación de error
error_reporting(0);

// Notificar solamente errores de ejecución
error_reporting(E_ERROR | E_WARNING | E_PARSE);

// Notificar E_NOTICE también puede ser bueno (para informar de variables
// no inicializadas o capturar errores en nombres de variables ...)
error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);

// Notificar todos los errores excepto E_NOTICE
// Este es el valor predeterminado establecido en php.ini
error_reporting(E_ALL ^ E_NOTICE);

// Notificar todos los errores de PHP (ver el registro de cambios)
error_reporting(E_ALL);

// Notificar todos los errores de PHP
error_reporting(-1);

// Lo mismo que error_reporting(E_ALL);
ini_set('error_reporting', E_ALL);
} // fin del else de POST
?>
